## org.apache.lucene.search.vectorhighlight
Class SimpleFragListBuilder

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.SimpleFragListBuilder

All Implemented Interfaces:
  FragListBuilder

    public class SimpleFragListBuilder

extends java.lang.Object
implements FragListBuilder

A simple implementation of FragListBuilder.

Field Summary
`static int` `MARGIN`
`static int` `MIN_FRAG_CHAR_SIZE`

Constructor Summary
`SimpleFragListBuilder()`

Method Summary
`FieldFragList` `createFieldFragList(FieldPhraseList fieldPhraseList, int fragCharSize)` create a FieldFragList.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MARGIN

    public static final int MARGIN

See Also:
  Constant Field Values

### MIN_FRAG_CHAR_SIZE

    public static final int MIN_FRAG_CHAR_SIZE

See Also:
  Constant Field Values

Constructor Detail

### SimpleFragListBuilder

    public SimpleFragListBuilder()

Method Detail

### createFieldFragList

    public FieldFragList createFieldFragList(FieldPhraseList fieldPhraseList,
                                             int fragCharSize)

  Description copied from interface: `FragListBuilder`
  create a FieldFragList.

  Specified by:
    `createFieldFragList` in interface `FragListBuilder`
  Parameters:
    `fieldPhraseList` - FieldPhraseList object
    `fragCharSize` - the length (number of chars) of a fragment
  Returns:
    the created FieldFragList object

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.